%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-jacc-1.5-api
Version:             1.0.0
Release:             2
Summary:             JACC 1.5 API (JSR-115)
License:             CDDL-1.0 or GPL-2.0-with-classpath-exception
URL:                 https://github.com/jboss/jboss-jacc-api_spec
Source0:             https://github.com/jboss/jboss-jacc-api_spec/archive/jboss-jacc-api_1.5_spec-%{namedversion}.tar.gz
BuildRequires:       jboss-parent jboss-servlet-3.1-api junit maven-local maven-enforcer-plugin
BuildRequires:       maven-plugin-bundle maven-surefire-provider-junit
BuildArch:           noarch
Provides:            javax.security.jacc
%description
JSR-000115 Java Authorization Contract for Containers 1.5 API

%package javadoc
Summary:             Javadocs for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jacc-api_spec-jboss-jacc-api_1.5_spec-%{namedversion}
%mvn_file :{jboss-jacc-api_1.5_spec} %{name} %{name}/%{name} javax.security.jacc/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_javadir}/javax.security.jacc
%{_javadir}/%{name}.jar
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc README LICENSE

%changelog
* Wed May 11 2022 liyanan <liyanan32@h-partners.com> - 1.0.0-2
- License compliance rectification

* Fri Aug 14 2020 yaokai <yaokai13@huawei.com> - 1.0.0-1
- package init
